Foxit PDF Conversion SDK

Public Types | Public Member Functions | Public Attributes | List of all members
foxit::conversion::pdf2office::PDF2ExcelSettingData Class Reference

Inherits Object.

## Public Types
enum | WorkbookSettings { e_WorkbookSettingsDocument = 0, e_WorkbookSettingsEachTable = 1, e_WorkbookSettingsEachPage = 2 }
| Enumeration for Excel workbook settings. More...

## Public Member Functions
| PDF2ExcelSettingData ()
| Constructor.
| PDF2ExcelSettingData (String decimal_symbol, String thousands_separator, WorkbookSettings workbook_settings, bool enable_aggressive_table_repair, bool include_watermarks)
| Constructor, with parameters. More...
PDF2ExcelSettingData & | operator= (const PDF2ExcelSettingData &data)
| Assign operator. More...
void | Set (String decimal_symbol, String thousands_separator, WorkbookSettings workbook_settings, bool enable_aggressive_table_repair, bool include_watermarks)
| Set value. More...

## Public Attributes
String | decimal_symbol
| A string value which indicates being recognized as decimal during the conversion of PDF documents to excel format documents. More...
bool | enable_aggressive_table_repair
| A boolean value that indicates whether aggressive table repair is enabled during the conversion of PDF documents to Excel format documents. Default value: true. More...
bool | include_watermarks
| A boolean value that indicates whether to include watermarks during the conversion of PDF documents to Excel format documents. Default value: false. More...
String | thousands_separator
| A string value which indicates being recognized as thousands separator during the conversion of PDF documents to Excel format documents. More...
WorkbookSettings | workbook_settings
| An enumeration value which indicates the setting of the workbook for the conversion of PDF documents to Excel format documents. More...

## Detailed Description

This class represents setting data used for converting PDF documents to Excel format documents.

## Member Enumeration Documentation

## ◆ WorkbookSettings

enum foxit::conversion::pdf2office::PDF2ExcelSettingData::WorkbookSettings

Enumeration for Excel workbook settings.

Values of this enumeration should be used alone.

Enumerator
e_WorkbookSettingsDocument | Create single worksheet for the document.
e_WorkbookSettingsEachTable | Create worksheet for each table.
e_WorkbookSettingsEachPage | Create worksheet for each page.

## Constructor & Destructor Documentation

## ◆ PDF2ExcelSettingData()

foxit::conversion::pdf2office::PDF2ExcelSettingData::PDF2ExcelSettingData | ( | String | decimal_symbol,
|  | String | thousands_separator,
|  | WorkbookSettings | workbook_settings,
|  | bool | enable_aggressive_table_repair,
|  | bool | include_watermarks
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | decimal_symbol | A string value which indicates being recognized as decimal during the conversion of PDF documents to excel format documents.
  [in] | thousands_separator | A string value which indicates being recognized as thousands separator during the conversion of PDF documents to excel format documents.
  [in] | workbook_settings | An enumeration value which indicates the setting of the workbook for the conversion of PDF documents to Excel format documents.
  [in] | enable_aggressive_table_repair | A boolean value that indicates whether to enabled aggressive table repair during the conversion of PDF documents to Excel format documents. Default value: true. true means to enabled aggressive table repair for the conversion of PDF documents to Excel format documents. false means not to enabled aggressive table repair for the conversion of PDF documents to Excel format documents.
  [in] | include_watermarks | A boolean value that indicates whether to include the watermarks during the conversion of PDF documents to Excel format documents. Default value: false. true means to include watermarks for the conversion of PDF documents to Excel format documents. false means not to include watermarks for the conversion of PDF documents to Excel format documents.

## Member Function Documentation

## ◆ operator=()

PDF2ExcelSettingData& foxit::conversion::pdf2office::PDF2ExcelSettingData::operator= | ( | const PDF2ExcelSettingData & | data | ) |
| inline

Assign operator.

Parameters

  [in] | data | Another PDF-to-Excel setting data object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ Set()

void foxit::conversion::pdf2office::PDF2ExcelSettingData::Set | ( | String | decimal_symbol,
|  | String | thousands_separator,
|  | WorkbookSettings | workbook_settings,
|  | bool | enable_aggressive_table_repair,
|  | bool | include_watermarks
| ) |  |
| inline

Set value.

Parameters

  [in] | decimal_symbol | A string value which indicates being recognized as decimal during the conversion of PDF documents to Excel format documents.
  [in] | thousands_separator | A string value which indicates being recognized as thousands separator during the conversion of PDF documents to Excel format documents.
  [in] | workbook_settings | An enumeration value which indicates the setting of the workbook for the conversion of PDF documents to Excel format documents.
  [in] | enable_aggressive_table_repair | A boolean value that indicates whether aggressive table repair is enabled during the conversion of PDF documents to Excel format documents. Default value: true. true means to enabled aggressive table repair for the conversion of PDF documents to Excel format documents. false means not to enabled aggressive table repair for the conversion of PDF documents to Excel format documents.
  [in] | include_watermark | A boolean value that indicates whether include watermarks during the conversion of PDF documents to Excel format documents. Default value: false. true means to watermarks for the conversion of PDF documents to Excel format documents. false means not to include watermarks for the conversion of PDF documents to Excel format documents.

Returns
  None.

## Member Data Documentation

## ◆ decimal_symbol

String foxit::conversion::pdf2office::PDF2ExcelSettingData::decimal_symbol

A string value which indicates being recognized as decimal during the conversion of PDF documents to excel format documents.

The decimal symbol is used to separate the integer part and the decimal part of a number. If this parameter is set to ".", then the number "123.456" will be recognized as 123.456. If this parameter is set to ",", then the number "123,456" will be recognized as 123.456. If this parameter is not set, the decimal symbol will be recognized automatically.

Note
  Currently, this parameter is only useful for cells with only numbers and separators. The value of this parameter must be different from the value of parameter thousands_separator. To ensure the correct recognition of the decimal symbol, this parameter should be set together with parameter thousands_separator.

## ◆ enable_aggressive_table_repair

bool foxit::conversion::pdf2office::PDF2ExcelSettingData::enable_aggressive_table_repair

A boolean value that indicates whether aggressive table repair is enabled during the conversion of PDF documents to Excel format documents. Default value: true.

true means to enabled aggressive table repair for the conversion of PDF documents to Excel format documents. false means not to enabled aggressive table repair for the conversion of PDF documents to Excel format documents. When enabled, this option attempts to preserve the integrity of tables and avoid breaking the table structure. It works by moving overlapping elements to proper boundaries, ensuring that cells, rows, and columns remain correctly aligned in the resulting Excel sheet.

## ◆ include_watermarks

bool foxit::conversion::pdf2office::PDF2ExcelSettingData::include_watermarks

A boolean value that indicates whether to include watermarks during the conversion of PDF documents to Excel format documents. Default value: false.

true means to include watermarks for the conversion of PDF documents to Excel format documents. false means not to include watermarks for the conversion of PDF documents to Excel format documents. If this option is enabled, watermarks of PDF documents will be added to the Excel worksheet during the conversion of PDF documents to Excel format documents. Note that the watermark may overlap worksheet content. Certain cells, such as headers or the region column, might be converted to text boxes and may not be directly editable until the watermark is removed or adjusted.

## ◆ thousands_separator

String foxit::conversion::pdf2office::PDF2ExcelSettingData::thousands_separator

A string value which indicates being recognized as thousands separator during the conversion of PDF documents to Excel format documents.

The thousands separator is used to separate the thousands part of a number. If this parameter is set to ",", then the number "123,456" will be recognized as 123456. If this parameter is set to ".", then the number "123.456" will be recognized as 123456. If this parameter is set to " ", then the number "123 456" will be recognized as 123456. If this parameter is not set, the thousands separator will be recognized automatically.

Note
  Currently, this parameter is only useful for cells with only numbers and separators. The value of this parameter must be different from the value of parameter decimal_symbol. To ensure the correct recognition of the thousands separator, this parameter should be set together with parameter decimal_symbol.

## ◆ workbook_settings

WorkbookSettings foxit::conversion::pdf2office::PDF2ExcelSettingData::workbook_settings

An enumeration value which indicates the setting of the workbook for the conversion of PDF documents to Excel format documents.

Please refer to values starting from PDF2ExcelSettingData::e_WorkbookSettingsDocument and this should be one of these values. Default value: PDF2ExcelSettingData::e_WorkbookSettingsEachPage.